{
   "csr" : {
      "pmpaddr7" : {
         "exists" : "false"
      },
      "pmpaddr8" : {
         "exists" : "false"
      },
      "pmpaddr0" : {
         "exists" : "false"
      },
      "pmpaddr12" : {
         "exists" : "false"
      },
      "mhpmevent4" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0"
      },
      "micect" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0",
         "number" : "0x7f0"
      },
      "pmpaddr4" : {
         "exists" : "false"
      },
      "pmpcfg1" : {
         "exists" : "false"
      },
      "pmpaddr9" : {
         "exists" : "false"
      },
      "mitbnd0" : {
         "number" : "0x7d3",
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0xffffffff"
      },
      "pmpaddr14" : {
         "exists" : "false"
      },
      "cycle" : {
         "exists" : "false"
      },
      "tselect" : {
         "exists" : "true",
         "mask" : "0x3",
         "reset" : "0x0"
      },
      "mitcnt0" : {
         "reset" : "0x0",
         "exists" : "true",
         "mask" : "0xffffffff",
         "number" : "0x7d2"
      },
      "pmpaddr2" : {
         "exists" : "false"
      },
      "meicidpl" : {
         "comment" : "External interrupt claim id priority level.",
         "number" : "0xbcb",
         "reset" : "0x0",
         "mask" : "0xf",
         "exists" : "true"
      },
      "mhpmevent3" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0"
      },
      "mitctl0" : {
         "reset" : "0x1",
         "mask" : "0x00000007",
         "exists" : "true",
         "number" : "0x7d4"
      },
      "marchid" : {
         "reset" : "0x0000000b",
         "exists" : "true",
         "mask" : "0x0"
      },
      "dmst" : {
         "number" : "0x7c4",
         "mask" : "0x0",
         "comment" : "Memory synch trigger: Flush caches in debug mode.",
         "debug" : "true",
         "exists" : "true",
         "reset" : "0x0"
      },
      "mcgc" : {
         "mask" : "0x000001ff",
         "exists" : "true",
         "reset" : "0x0",
         "number" : "0x7f8",
         "poke_mask" : "0x000001ff"
      },
      "time" : {
         "exists" : "false"
      },
      "mcpc" : {
         "number" : "0x7c2",
         "exists" : "true",
         "mask" : "0x0",
         "reset" : "0x0"
      },
      "miccmect" : {
         "number" : "0x7f1",
         "exists" : "true",
         "mask" : "0xffffffff",
         "reset" : "0x0"
      },
      "mhpmcounter5" : {
         "reset" : "0x0",
         "mask" : "0xffffffff",
         "exists" : "true"
      },
      "mhpmevent5" : {
         "reset" : "0x0",
         "mask" : "0xffffffff",
         "exists" : "true"
      },
      "mpmc" : {
         "reset" : "0x2",
         "exists" : "true",
         "poke_mask" : "0x2",
         "comment" : "FWHALT",
         "mask" : "0x2",
         "number" : "0x7c6"
      },
      "mhpmcounter4" : {
         "reset" : "0x0",
         "exists" : "true",
         "mask" : "0xffffffff"
      },
      "mhpmevent6" : {
         "exists" : "true",
         "mask" : "0xffffffff",
         "reset" : "0x0"
      },
      "pmpcfg0" : {
         "exists" : "false"
      },
      "misa" : {
         "reset" : "0x40001104",
         "mask" : "0x0",
         "exists" : "true"
      },
      "mitbnd1" : {
         "number" : "0x7d6",
         "reset" : "0xffffffff",
         "exists" : "true",
         "mask" : "0xffffffff"
      },
      "pmpaddr6" : {
         "exists" : "false"
      },
      "mitcnt1" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0",
         "number" : "0x7d5"
      },
      "dicad1" : {
         "number" : "0x7ca",
         "mask" : "0x3",
         "comment" : "Cache diagnostics.",
         "reset" : "0x0",
         "debug" : "true",
         "exists" : "true"
      },
      "mimpid" : {
         "reset" : "0x6",
         "exists" : "true",
         "mask" : "0x0"
      },
      "mhpmcounter3" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0"
      },
      "mitctl1" : {
         "mask" : "0x00000007",
         "exists" : "true",
         "reset" : "0x1",
         "number" : "0x7d7"
      },
      "mhpmcounter6" : {
         "reset" : "0x0",
         "exists" : "true",
         "mask" : "0xffffffff"
      },
      "pmpcfg3" : {
         "exists" : "false"
      },
      "pmpaddr10" : {
         "exists" : "false"
      },
      "mip" : {
         "poke_mask" : "0x70000888",
         "mask" : "0x0",
         "exists" : "true",
         "reset" : "0x0"
      },
      "mhpmcounter4h" : {
         "reset" : "0x0",
         "mask" : "0xffffffff",
         "exists" : "true"
      },
      "mvendorid" : {
         "exists" : "true",
         "mask" : "0x0",
         "reset" : "0x45"
      },
      "mhpmcounter5h" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0"
      },
      "pmpaddr13" : {
         "exists" : "false"
      },
      "meipt" : {
         "mask" : "0xf",
         "exists" : "true",
         "reset" : "0x0",
         "number" : "0xbc9",
         "comment" : "External interrupt priority threshold."
      },
      "pmpaddr1" : {
         "exists" : "false"
      },
      "mstatus" : {
         "reset" : "0x1800",
         "exists" : "true",
         "mask" : "0x88"
      },
      "pmpcfg2" : {
         "exists" : "false"
      },
      "instret" : {
         "exists" : "false"
      },
      "pmpaddr15" : {
         "exists" : "false"
      },
      "mdccmect" : {
         "number" : "0x7f2",
         "exists" : "true",
         "mask" : "0xffffffff",
         "reset" : "0x0"
      },
      "dicawics" : {
         "number" : "0x7c8",
         "mask" : "0x0130fffc",
         "reset" : "0x0",
         "debug" : "true",
         "exists" : "true",
         "comment" : "Cache diagnostics."
      },
      "mhpmcounter6h" : {
         "mask" : "0xffffffff",
         "exists" : "true",
         "reset" : "0x0"
      },
      "pmpaddr3" : {
         "exists" : "false"
      },
      "mcounteren" : {
         "exists" : "false"
      },
      "mhpmcounter3h" : {
         "reset" : "0x0",
         "mask" : "0xffffffff",
         "exists" : "true"
      },
      "dicago" : {
         "reset" : "0x0",
         "debug" : "true",
         "exists" : "true",
         "comment" : "Cache diagnostics.",
         "number" : "0x7cb",
         "mask" : "0x0"
      },
      "mgpmc" : {
         "number" : "0x7d0",
         "reset" : "0x1",
         "mask" : "0x1",
         "exists" : "true"
      },
      "meicurpl" : {
         "comment" : "External interrupt current priority level.",
         "exists" : "true",
         "mask" : "0xf",
         "reset" : "0x0",
         "number" : "0xbcc"
      },
      "dcsr" : {
         "poke_mask" : "0x00008dcc",
         "exists" : "true",
         "mask" : "0x00008c04",
         "reset" : "0x40000003"
      },
      "mfdc" : {
         "mask" : "0x000727ff",
         "exists" : "true",
         "reset" : "0x00070040",
         "number" : "0x7f9"
      },
      "dicad0" : {
         "reset" : "0x0",
         "debug" : "true",
         "exists" : "true",
         "comment" : "Cache diagnostics.",
         "mask" : "0xffffffff",
         "number" : "0x7c9"
      },
      "pmpaddr11" : {
         "exists" : "false"
      },
      "mie" : {
         "exists" : "true",
         "mask" : "0x70000888",
         "reset" : "0x0"
      },
      "mcountinhibit" : {
         "exists" : "false"
      },
      "pmpaddr5" : {
         "exists" : "false"
      },
      "meicpct" : {
         "reset" : "0x0",
         "mask" : "0x0",
         "exists" : "true",
         "number" : "0xbca",
         "comment" : "External claim id/priority capture."
      }
   },
   "even_odd_trigger_chains" : "true",
   "store_error_rollback" : "0",
   "dccm" : {
      "size" : "0x10000",
      "offset" : "0x40000",
      "region" : "0xf"
   },
   "load_error_rollback" : "1",
   "nmi_vec" : "0x11110000",
   "triggers" : [
      {
         "mask" : [
            "0x081818c7",
            "0xffffffff",
            "0x00000000"
         ],
         "reset" : [
            "0x23e00000",
            "0x00000000",
            "0x00000000"
         ],
         "poke_mask" : [
            "0x081818c7",
            "0xffffffff",
            "0x00000000"
         ]
      },
      {
         "poke_mask" : [
            "0x081810c7",
            "0xffffffff",
            "0x00000000"
         ],
         "mask" : [
            "0x081810c7",
            "0xffffffff",
            "0x00000000"
         ],
         "reset" : [
            "0x23e00000",
            "0x00000000",
            "0x00000000"
         ]
      },
      {
         "mask" : [
            "0x081818c7",
            "0xffffffff",
            "0x00000000"
         ],
         "reset" : [
            "0x23e00000",
            "0x00000000",
            "0x00000000"
         ],
         "poke_mask" : [
            "0x081818c7",
            "0xffffffff",
            "0x00000000"
         ]
      },
      {
         "poke_mask" : [
            "0x081810c7",
            "0xffffffff",
            "0x00000000"
         ],
         "reset" : [
            "0x23e00000",
            "0x00000000",
            "0x00000000"
         ],
         "mask" : [
            "0x081810c7",
            "0xffffffff",
            "0x00000000"
         ]
      }
   ],
   "reset_vec" : "0x80000000",
   "pic" : {
      "meigwclr_offset" : "0x5000",
      "mpiccfg_mask" : "0x1",
      "meigwctrl_count" : 8,
      "meigwclr_count" : 8,
      "meipl_count" : 8,
      "int_words" : 1,
      "meip_offset" : "0x1000",
      "meip_mask" : "0x0",
      "mpiccfg_offset" : "0x3000",
      "meipl_mask" : "0xf",
      "meipt_count" : 8,
      "region" : "0xf",
      "offset" : "0xc0000",
      "size" : "0x8000",
      "meipt_mask" : "0x0",
      "total_int" : 8,
      "meigwctrl_mask" : "0x3",
      "meie_offset" : "0x2000",
      "meie_mask" : "0x1",
      "meipt_offset" : "0x3004",
      "bits" : 15,
      "meie_count" : 8,
      "meigwctrl_offset" : "0x4000",
      "meipl_offset" : "0x0000",
      "meigwclr_mask" : "0x0",
      "meip_count" : 4,
      "mpiccfg_count" : 1,
      "total_int_plus1" : 9
   },
   "xlen" : 32,
   "max_mmode_perf_event" : "50",
   "memory_mapped_registers" : {
      "default_mask" : 0,
      "registers" : {
         "meipl" : {
            "mask" : "0xf",
            "count" : 8,
            "address" : "0xf00c0004"
         },
         "meie" : {
            "mask" : "0x1",
            "count" : 8,
            "address" : "0xf00c2004"
         },
         "meip" : {
            "count" : 4,
            "address" : "0xf00c1000",
            "mask" : "0x0"
         },
         "meigwctrl" : {
            "mask" : "0x3",
            "address" : "0xf00c4004",
            "count" : 8
         },
         "mpiccfg" : {
            "count" : 1,
            "address" : "0xf00c3000",
            "mask" : "0x1"
         },
         "meigwclr" : {
            "address" : "0xf00c5004",
            "count" : 8,
            "mask" : "0x0"
         }
      },
      "address" : "0xf00c0000",
      "size" : "0x8000"
   },
   "memmap" : {
      "serialio" : "0xd0580000",
      "consoleio" : "0xd0580000"
   },
   "harts" : 1,
   "num_mmode_perf_regs" : "4"
}
